org.apache.ignite.internal.processors.cache.distributed

## Class GridCacheTxRecoveryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridCacheTxRecoveryRequest

All Implemented Interfaces:
  Serializable, GridCacheDeployable, GridCacheVersionable, Message

    public class GridCacheTxRecoveryRequest
    extends GridDistributedBaseMessage

Message sent to check that transactions related to transaction were prepared on remote node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, cacheId, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheTxRecoveryRequest()` Empty constructor required by `Externalizable`
`GridCacheTxRecoveryRequest(IgniteInternalTx tx, int txNum, boolean nearTxCheck, IgniteUuid futId, IgniteUuid miniId, boolean addDepInfo)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `futureId()`
`IgniteLogger` `messageLogger(GridCacheSharedContext ctx)`
`IgniteUuid` `miniId()`
`boolean` `nearTxCheck()`
`GridCacheVersion` `nearXidVersion()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`boolean` `system()`
`String` `toString()`
`int` `transactions()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`addDeploymentInfo, committedVersions, completedVersions, keysCount, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`cacheId, cacheId, classError, deployInfo, error, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridCacheTxRecoveryRequest

    public GridCacheTxRecoveryRequest()

Empty constructor required by `Externalizable`

#### GridCacheTxRecoveryRequest

    public GridCacheTxRecoveryRequest(IgniteInternalTx tx,
                              int txNum,
                              boolean nearTxCheck,
                              IgniteUuid futId,
                              IgniteUuid miniId,
                              boolean addDepInfo)

Parameters:
  `tx` - Transaction.
  `txNum` - Expected number of transactions on remote node.
  `nearTxCheck` - `True` if should check only tx on near node.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `addDepInfo` - Deployment info flag.

### Method Detail

#### nearTxCheck

    public boolean nearTxCheck()

Returns:
  `True` if should check only tx on near node.

#### nearXidVersion

    public GridCacheVersion nearXidVersion()

Returns:
  Near version.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### miniId

    public IgniteUuid miniId()

Returns:
  Mini future ID.

#### transactions

    public int transactions()

Returns:
  Expected number of transactions on node.

#### system

    public boolean system()

Returns:
  System transaction flag.

#### messageLogger

    public IgniteLogger messageLogger(GridCacheSharedContext ctx)

Overrides:
  `messageLogger` in class `GridCacheMessage`
Parameters:
  `ctx` - Context.
Returns:
  Logger.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedBaseMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedBaseMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedBaseMessage`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016